Summary: 	Disable eggcups notification
Name: 		SL_disable_print_notification
Version: 	1.0
Release: 	4
License: 	GPL
Group: 		System Environment/Base
BuildRoot: 	%{_builddir}/%{name}-root
BuildArch: 	noarch
Packager: 	Gregory Harris <gharris@math.ku.edu>
Requires: 	desktop-printing

%description
Removes eggcups notification in EL4 since it is busted.

%files

%triggerin -- desktop-printing
if [ -f /usr/bin/eggcups ]; then
	mv -f /usr/bin/eggcups /usr/bin/eggcups.orig
fi

%preun
if [ "$1" = "0" ]; then
	if [ -f /usr/bin/eggcups.orig ]; then
		mv -f /usr/bin/eggcups.orig /usr/bin/eggcups
	fi
fi

%changelog
* Fri Apr 15 2005 Gregory Harris <gharris@math.ku.edu>
- Cleaned up spec file, removed build/install/source sections

* Fri Apr 15 2005 Gregory Harris <gharris@math.ku.edu>
- Add BuildArch noarch line; fix hang on logout by completely removing
- /usr/bin/eggcups instead of replacing it with a dummy script.

* Fri Apr 15 2005 Gregory Harris <gharris@math.ku.edu>
- Remove/Fix triggerpostun/post/etc to properly put things back to where they
- were on uninstall.

* Thu Apr 14 2005 Gregory Harris <gharris@math.ku.edu>
- Change name from remove-eggcups-notification to SL_disable_print_notification
- Add triggerin/triggerpostun to ensure this stays put
